如何解决错误:找不到类apache :: base?

我使用camptocamp / puppet-nagios中的以下示例清单:

node 'central_monitoring_server' { import "nagios" $nagiosadmin_password = "XXXX" ... include apache::base include nagios::base include nagios::nsca::daemon include nagios::webinterface } 

不过我有这样的警告:

错误:找不到debian-77-wheezy-64的类apache::base

我不清楚我该怎么做。

我可以只使用:

 include apache 

这应该等同于include apache::base ? 这是正确的做法吗?

我使用puppet(v3.7.4),camptocamp-nagios(v1.0.4)和puppetlabs-apache(v1.2.0)。

他们不是指puppetlabs-apache。
他们希望你使用这个: https : //github.com/camptocamp/puppet-apache_c2c

其次他们已经重新命名为apache_c2c所以它不应该冲突了。 你现在也必须使用apache_c2c::base

我不确定你是否可以用puppetlabs-apache模块replace它。